Subject: Re: How to bypass the post-commit hook?

From: Jan Hudec <[email-masked]>
Date: Mon, 14 Jan 2008 18:59:51 +0100

On Mon, Dec 31, 2007 at 10:50:27 +0100, Pascal Obry wrote:
> Jan Hudec a écrit :
> > By the way, what is your post-commit hook doing anyway? Modifying the work
> > tree *after* a commit does not sound like a common thing to do.
> 
> Or just trigger a build via a built robot or record a commit information
> into an issue tracker...

That's not a case of "modifying a work tree *after* a commit".

There are many valid uses for post-commit hook and this is one of them. But
like the others it does not modify versioned files. That was the issue
discussed (and pre-commit indeed turned out a better match).

-- 
						 Jan 'Bulb' Hudec <[email-masked]>